Download it now!
Bug 54844 - PDF export of formula fields
Summary: PDF export of formula fields
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2012-09-13 08:18 UTC by Georg
Modified: 2019-07-13 03:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
FIle with date and currency controls (11.07 KB, application/vnd.oasis.opendocument.text)
2012-09-13 08:18 UTC, Georg
Details
PDF export as FDF file (19.16 KB, application/pdf)
2012-09-13 08:20 UTC, Georg
Details
PDF export as PDF file (19.16 KB, application/pdf)
2012-09-13 08:21 UTC, Georg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Georg 2012-09-13 08:18:18 UTC
Created attachment 67078 [details]
FIle with date and currency controls

Hi,

when I create a document with formula fields (for example date or currency) and export it to PDF formular as FDF or PDF, the properties will be inored. Result: the text/data that you enter by using the pdf formular with acrobat reader will not be checked against the entered field format.
 
I just have this problem for formulas that should be used by more than 6.000 employees. I hope you can solve this shortly. It's an important migration issue!!!

Regards Georg
Comment 1 Georg 2012-09-13 08:20:35 UTC
Created attachment 67079 [details]
PDF export as FDF file
Comment 2 Georg 2012-09-13 08:21:03 UTC
Created attachment 67080 [details]
PDF export as PDF file
Comment 3 Jorendc 2013-05-19 18:06:31 UTC
I can reproduce this using Linux Mint 15 x64 with LibreOffice 4.0.3.3. 

Kind regards,
Joren
Comment 4 QA Administrators 2015-03-04 02:19:45 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-03-30 17:25:50 UTC
Reproduced. Acrobat reader doesn't care what you enter in the fields.

Saved from
Version: 4.5.0.0.alpha0+
Build ID: 460b17d2712a80331a83329d2951f3e0303835cd
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-14_23:10:42
Locale: fi_FI
Comment 6 tommy27 2016-04-16 07:28:12 UTC Comment hidden (obsolete)
Comment 7 Roman Kuznetsov 2018-07-12 10:58:47 UTC
changed Component to more correct
Comment 8 QA Administrators 2019-07-13 02:47:58 UTC
Dear Georg,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug